netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpstats_obj.c File Reference
`#include <pwd.h>`
`#include <strings.h>`
`#include <glib-object.h>`
`#include <glib.h>`
`#include <glib/gprintf.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include "afpstats_obj.h"`
`#include "afpstats.h"`

## Data Structures
struct | AFPStatsObj
struct | AFPStatsObjClass

## Functions
static void | afpstats_obj_init (AFPStatsObj *obj)
static void | afpstats_obj_class_init (AFPStatsObjClass *klass)
static void | afpstats_obj_class_intern_init (gpointer klass)
GType | afpstats_obj_get_type (void)
gboolean | afpstats_obj_get_users (AFPStatsObj *obj, gchar ***ret, GError **error)

## Variables
static gpointer | afpstats_obj_parent_class = NULL

## Function Documentation

## ◆ afpstats_obj_class_init()

void afpstats_obj_class_init | ( | AFPStatsObjClass * | klass | ) |
| static

## ◆ afpstats_obj_class_intern_init()

void afpstats_obj_class_intern_init | ( | gpointer | klass | ) |
| static

## ◆ afpstats_obj_get_type()

GType afpstats_obj_get_type | ( | void |  | ) |

## ◆ afpstats_obj_get_users()

gboolean afpstats_obj_get_users | ( | AFPStatsObj * | obj,
|  | gchar *** | ret,
|  | GError ** | error )

## ◆ afpstats_obj_init()

void afpstats_obj_init | ( | AFPStatsObj * | obj | ) |
| static

## Variable Documentation

## ◆ afpstats_obj_parent_class

gpointer afpstats_obj_parent_class = NULL
| static